Retrieve Eligibility PDF (271)
Retrieve a PDF version of the 271 benefits response for the specified eligibility check
/eligibility-manager/eligibility-checks/{eligibilityCheckId}/pdfThis endpoint retrieves the eligibility PDF for a 270/271 eligibility check. Stedi generates a PDF for eligibility checks with valid 271 responses. The PDF contains a summary of the request details and a human-readable version of the 271 response.
-
Call this endpoint with the
eligibilityCheckIdpath parameter set to the eligibility check's ID. You can retrieve this ID from the:idproperty of the real-time JSON, Raw X12, and SOAP eligibility check endpoint responses.items.idproperty of the Poll Batch Eligibility Checks endpoint response.- Eligibility check's details page within the Stedi portal.
-
The endpoint returns the PDF as a base64-encoded string by default. To receive unencoded binary PDF data instead, include the
Accept: application/pdfrequest header.To view the PDF, save the unencoded response body to a file with a
.pdfextension.curl --request GET \ --url "https://manager.us.stedi.com/2024-04-01/eligibility-manager/eligibility-checks/{eligibilityCheckId}/pdf" \ --header "Accept: application/pdf" \ --header "Authorization: <api_key>" \ --output ~/Desktop/eligibility.pdf
A Stedi API Key for authentication.
Path Parameters
The globally unique identifier for this eligibility check across all Stedi accounts. It's formatted as ec_<uuid>. For example: ec_550e8400-e29b-41d4-a716-446655440000. You can find it:
- In the
idproperty of the real-time JSON, Raw X12, and SOAP eligibility check endpoint responses. - In the
items.idproperty of the Poll Batch Eligibility Checks endpoint response. - On the eligibility check's details page within the Stedi portal.
Response
GetEligibilityCheckPdf 200 response
curl --request GET \ --url "https://manager.us.stedi.com/2024-04-01/eligibility-manager/eligibility-checks/{eligibilityCheckId}/pdf" \ --header "Authorization: <api_key>""JVBERi0xLjQKJcfsj6IKNSAwIG9iago......"